Retry a failed delivery
curl --request POST \
--url https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"accepted": 123,
"content_type": "<string>",
"endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failed_items": [
{
"errors": [
{
"loc": [
"<string>"
],
"type": "<string>"
}
],
"index": 123
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "rejected",
"received_at": "2023-11-07T05:31:56Z",
"replayable": true,
"replayed_at": "2023-11-07T05:31:56Z",
"still_failing": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}table-webhooks
Retry a failed delivery
Read a delivery that did not fit again from its kept body, and add the records that now fit to the table: after its fields were fixed, for example. Only deliveries that did not fit, received in the last 14 days (replayable). The answer says how many records it added and how many still do not fit.
POST
/
tables
/
{table_id}
/
webhook-endpoints
/
{endpoint_id}
/
failures
/
{failure_id}
/
retry
/
Retry a failed delivery
curl --request POST \
--url https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/tables/{table_id}/webhook-endpoints/{endpoint_id}/failures/{failure_id}/retry/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"accepted": 123,
"content_type": "<string>",
"endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failed_items": [
{
"errors": [
{
"loc": [
"<string>"
],
"type": "<string>"
}
],
"index": 123
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "rejected",
"received_at": "2023-11-07T05:31:56Z",
"replayable": true,
"replayed_at": "2023-11-07T05:31:56Z",
"still_failing": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Path Parameters
Response
Successful Response
A failed delivery read again, and what that added.
decode_failed: nothing in it fit. partially_decoded: some records did not fit and the rest were added. too_large: it was over the size the app may send. rejected: it did not prove it came from the app.
Available options:
rejected, decode_failed, partially_decoded, too_large Was this page helpful?